org.gjt.sp.jedit.gui

## Class HistoryText

- java.lang.Object
- - org.gjt.sp.jedit.gui.HistoryText

    public class HistoryText
    extends java.lang.Object

Controller (manager of models) for HistoryTextArea.

### Constructor Summary

Constructors
Constructor and Description
`HistoryText(javax.swing.text.JTextComponent text, java.lang.String name)`

### Method Summary

Methods
`void` `addCurrentToHistory()` Adds the currently entered item to the history.
`void` `doBackwardSearch()`
`void` `doForwardSearch()`
`void` `fireActionPerformed()`
`javax.swing.text.Document` `getDocument()`
`int` `getIndex()`
`int` `getInputStart()` Subclasses can override this to provide funky history behavior, for JTextPanes and such.
`boolean` `getInstantPopups()` Returns if selecting a value from the popup should immediately fire an ActionEvent.
`HistoryModel` `getModel()` Returns the underlying history controller.
`java.lang.String` `getText()` Subclasses can override this to provide funky history behavior, for JTextPanes and such.
`void` `historyNext()`
`void` `historyPrevious()`
`void` `setIndex(int index)`
`void` `setInstantPopups(boolean instantPopups)` Sets if selecting a value from the popup should immediately fire an ActionEvent.
`void` `setModel(java.lang.String name)` Sets the history list controller.
`void` `setText(java.lang.String text)` Subclasses can override this to provide funky history behavior, for JTextPanes and such.
`void` `showPopupMenu(boolean search)`
`void` `showPopupMenu(java.lang.String t, int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HistoryText

    public HistoryText(javax.swing.text.JTextComponent text,
               java.lang.String name)

### Method Detail

#### fireActionPerformed

    public void fireActionPerformed()

#### getIndex

    public int getIndex()

#### setIndex

    public void setIndex(int index)

#### getModel

    public HistoryModel getModel()

Returns the underlying history controller.

Since:
  jEdit 4.3pre1

#### setModel

    public void setModel(java.lang.String name)

Sets the history list controller.

Parameters:
  `name` - The model name
Since:
  jEdit 4.3pre1

#### setInstantPopups

    public void setInstantPopups(boolean instantPopups)

Sets if selecting a value from the popup should immediately fire an ActionEvent.

#### getInstantPopups

    public boolean getInstantPopups()

Returns if selecting a value from the popup should immediately fire an ActionEvent.

#### addCurrentToHistory

    public void addCurrentToHistory()

Adds the currently entered item to the history.

#### doBackwardSearch

    public void doBackwardSearch()

#### doForwardSearch

    public void doForwardSearch()

#### historyPrevious

    public void historyPrevious()

#### historyNext

    public void historyNext()

#### getDocument

    public javax.swing.text.Document getDocument()

#### getText

    public java.lang.String getText()

Subclasses can override this to provide funky history behavior, for JTextPanes and such.

#### setText

    public void setText(java.lang.String text)

Subclasses can override this to provide funky history behavior, for JTextPanes and such.

#### getInputStart

    public int getInputStart()

Subclasses can override this to provide funky history behavior, for JTextPanes and such.

#### showPopupMenu

    public void showPopupMenu(java.lang.String t,
                     int x,
                     int y)

#### showPopupMenu

    public void showPopupMenu(boolean search)